package com.emall.flash.bean.entity.shop;


import com.emall.flash.bean.entity.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.hibernate.annotations.Table;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 活动对象 activity_info
 *
 * @author ruoyi
 * @date 2023-05-29
 */
@Data
@Table(appliesTo = "t_activity_info",comment = "活动")
@Entity(name="t_activity_info")
public class ActivityInfo extends BaseEntity {

    /** 活动名称 */
    @NotBlank(message = "名称不能为空")
    private String name;

    /** 活动来源 */
//    private Long source;

    /** 活动价格 */
//    private BigDecimal price;

    /** 封面图片 */
    private String img;

    /** 联系人 */
    private String contacts;

    /** 联系方式 */
    private String phone;

    /** 活动开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date activityBeginDate;

    /** 活动结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date activityEndDate;

    /** 活动类型（0：园区活动，1：商家活动） */
//    private Integer activityType;
//
//    /** 活动性质（0：普通活动 1公共文化） */
//    private Integer style;

    /** 活动内容 */
    private String activityDetails;

    //商圈id
    @Column(updatable = false)
    private Long tenantId;

    /** 状态（0待开始 1发布 2结束） */
    private Integer status;

    /** 审核状态(0：待审核 1：已驳回 2:  已通过) */
//    private Integer activityStatus;

    /** 驳回原因 */
    private String remarks;

    /** 活动人数 */
    private Integer number;

    /** 是否强制限制人数（0是 1否）*/
    private Integer isRestrictions;

    /** 活动来源名称 */
//    @Transient
//    private String sourceName;
    /** 报名数 */
    @Transient
    private Integer entryNum;


    //排序方式 0:全部 1：最新 2：近一个月
    @Transient
    private Integer orderBy;

    //活动地址
    private String address;


}
