package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;


@Entity(name="t_activity_user")
@Table(appliesTo = "t_activity_user",comment = "会员活动关联")
@Data
@EntityListeners(AuditingEntityListener.class)
public class ActivityUser extends BaseEntity {
    //商圈id
    @Column(updatable = false)
    private Long tenantId;
    //会员id
    private Long userId;
    //活动id
    @Column(name = "activity_id")
    private Long activityId;
    //数量
    private Integer count;
    //状态（0未使用，1已使用）
    private Integer status;

    @JoinColumn(name="activity_id", insertable = false, updatable = false,foreignKey = @ForeignKey(name="none",value = ConstraintMode.NO_CONSTRAINT))
    @ManyToOne(fetch = FetchType.LAZY)
    private ActivityInfo activityInfo;

}
