package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Entity(name="t_shop_columns")
@Table(appliesTo = "t_shop_columns",comment = "商圈栏目")
@Data
@EntityListeners(AuditingEntityListener.class)
public class Columns extends BaseEntity {
    @Column(columnDefinition = "VARCHAR(64) COMMENT '名称'")
    @NotBlank(message = "名称不能为空")
    private String name;

    @Column(columnDefinition = "int(11) COMMENT '排序'")
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @Column
    private Long pid;

    //商圈id
    @Column(updatable = false)
    private Long tenantId;
}
