package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import java.math.BigDecimal;
import java.util.Date;

@Entity(name="t_shop_parking_payment")
@Table(appliesTo = "t_shop_parking_payment",comment = "停车缴费记录")
@Data
@EntityListeners(AuditingEntityListener.class)
public class ParkingPayment extends BaseEntity {

    //商圈id
    @Column(updatable = false)
    private Long tenantId;
    //停车场id
    private Long parkingId;
    //会员id
    private Long userId;
    //车牌号
    private String car;
    //进入时间
    private Date inTime;
    //离开时间
    private Date outTime;
    //缴费金额
    private BigDecimal amount;
    //缴费状态（0未交费   1支付中  2已支付  3取消支付）
    private Integer payStatus;
}
