package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import com.emall.flash.bean.entity.cms.Article;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.*;


@Entity(name="t_shop_receipt")
@Table(appliesTo = "t_shop_receipt",comment = "消费小票")
@Data
@EntityListeners(AuditingEntityListener.class)
public class Receipt extends BaseEntity {

    //商圈id
    @Column(updatable = false)
    private Long tenantId;
    //商家id
    @Column(name = "shop_id")
    private Long shopId;
    //图片
    private String img;
    //会员id
    @Column(name = "user_id")
    private Long userId;
    //积分
    private Integer integral;
    //审核状态（0待审核  1审核通过  2审核不通过）
    private Integer status;
    //备注
    private String remarks;

    @JoinColumn(name="shop_id", insertable = false, updatable = false,foreignKey = @ForeignKey(name="none",value = ConstraintMode.NO_CONSTRAINT))
    @ManyToOne(fetch = FetchType.LAZY)
    private Shop shop;

    @JoinColumn(name="user_id", insertable = false, updatable = false,foreignKey = @ForeignKey(name="none",value = ConstraintMode.NO_CONSTRAINT))
    @ManyToOne(fetch = FetchType.LAZY)
    private ShopUser shopUser;

}
