package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;

/**
 * @author ：enilu
 * @date ：Created in 12/8/2019 10:36 PM
 */

@Data
@Table(appliesTo = "t_shop",comment = "商家")
@Entity(name="t_shop")
@EntityListeners(AuditingEntityListener.class)
public class Shop extends BaseEntity {
    //商家名称
    @Column(name = "name")
    @NotBlank(message = "商家名称不能为空")
    private String name;

    //地址
    @Column(name = "address")
    private String address;

    //联系人
    @Column(name = "head")
    private String head;

    //联系方式
    @Column(name = "phone")
    private String phone;

    //简介
    @Column(name = "details")
    private String details;

    //分类
    @Column(name = "type")
    private Integer type;

    //封面
    @Column(name = "img")
    private String img;

    //所在楼层
    @Column(name = "floor")
    private String floor;

    //楼层号
    @Column(name = "floor_number")
    private String floorNumber;

    //排序
    @Column(name = "sort")
    private Integer sort;

    //状态（0未启用 1启用）
    @Column(name = "status")
    private Integer status;


    @Column(updatable = false)
    private Long tenantId;

    @Transient
    private String tenantName;
}
