package com.emall.flash.bean.entity.shop;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Transient;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author ：enilu
 * @date ：Created in 12/8/2019 10:36 PM
 */

@Data
@Table(appliesTo = "t_shop_tenant",comment = "商圈")
@Entity(name="t_shop_tenant")
@EntityListeners(AuditingEntityListener.class)
public class Tenant extends BaseEntity {
    @Column(name="name")
    @NotBlank(message = "商圈名称不能为空")
    //商圈名称
    private String name;
    @Column(name="address")
    //商圈地址
    private String address;
    @NotNull(message = "城市不能为空")
    @Column(name="city_id")
    //商圈所属城市id
    private Long cityId;
    @Column(name="latitude")
    //商圈经纬度
    private String latitude;

    @Column(name="manager")
    //商圈管理员id
    private Long manager;
    @Column(name="sort")
    //排序
    private Integer sort;
    //管理员名称
    @Transient
    private String managerName;
    //操作管理员类型（0 绑定 1解绑）
    @Transient
    private Integer bindType;

    //经纬度距离
    @Transient
    private double distance;

    //城市名称
    @Transient
    private String cityName;
}
