package com.emall.flash.bean.entity.system;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Transient;
import java.util.Date;

@Data
@Table(appliesTo = "t_complaint_suggestions",comment = "投诉")
@Entity(name="t_complaint_suggestions")
@EntityListeners(AuditingEntityListener.class)
public class Complaint extends BaseEntity {
    @Column(name = "title")
    private String title;
    @Column(name = "type")
    private Integer type;
    @Column(name = "details")
    private String details;
    @Column(name = "phone")
    private String phone;
    @Column(name = "complaint_time")
    private Date complaintTime;
    @Column(name = "deal_time")
    private Date dealTime;
    @Column(name = "deal_user")
    private Long dealUser;
    @Column(name = "deal_result")
    private String dealResult;
    @Column(name = "status")
    private Integer status;
    @Column
    private Long tenantId;
    @Transient
    private String tenantName;
    @Column
    private String contact;

}
