package com.emall.flash.bean.entity.system;

import com.emall.flash.bean.entity.BaseEntity;
import lombok.Data;
import org.hibernate.annotations.Table;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * Created  on 2018/4/2 0002.
 *
 * @author enilu
 */
@Entity(name = "t_sys_model")
@Table(appliesTo = "t_sys_model",comment = "功能键")
@Data
@EntityListeners(AuditingEntityListener.class)
public class Model extends BaseEntity {


    @Column(columnDefinition = "VARCHAR(64) COMMENT '页面组件'")
    private String component;
    @Column(columnDefinition = "VARCHAR(32) COMMENT '图标'")
    private String icon;
    @Column(columnDefinition = "INT COMMENT '分组类型 （首页  2我的 3更多功能'")
    private Integer groups;
    @Column(columnDefinition = "INT COMMENT '是否默认0:是,1:否'", nullable = false)
    private Integer isDefault;
    @Column(columnDefinition = "VARCHAR(64) COMMENT '名称'", nullable = false)
    @NotBlank(message = "名称不能为空")
    private String name;
    @Column(columnDefinition = "VARCHAR(32) COMMENT '资路由地址'")
    private String url;
    @Column(columnDefinition = "INT COMMENT '类型（1页面  2外部链接 3 iframe  4小程序）'")
    private Integer type;
    @Column(columnDefinition = "INT COMMENT '顺序'", nullable = false)
    private Integer sort;
    @Column(name = "status",columnDefinition="int COMMENT '状态（0停用，1启用）'",insertable = false,nullable = false)
    private Integer status = 1;
    //其他信息
    private String remark;
    @Transient
    private List<Long> tenantIds;

    //是否选中（0是 1否）
    @Transient
    private Integer checked = 1;
    //是否打开（0是 1否）
    @Transient
    private Integer isOpen;
    @Transient
    private List<ModelTenant> modelTenants;

}
