package com.emall.flash.cache.impl;

import com.emall.flash.cache.CacheDao;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.concurrent.TimeUnit;

/**
 *
 *
 *
 * @author enilu
 * @version 2018/9/12 0012
 */
@Component
public class RedisCacheDao implements CacheDao {

        @Resource
        private RedisTemplate<String, Object> redisTemplate;

        //=============================common============================

    @Override
    public void hset(Serializable key, Serializable k, Object val) {
        redisTemplate.opsForValue().set(key+":"+k, val);
    }


    @Override
    public void set(String key, Object val,long time) {
        redisTemplate.opsForValue().set(key, val,time, TimeUnit.SECONDS);
    }

    @Override
    public Serializable hget(Serializable key, Serializable k) {
        return key == null ? null : (String) redisTemplate.opsForValue().get(key+":"+k);
    }

    @Override
    public <T> T hget(Serializable key, Serializable k, Class<T> klass) {
        return key == null ? null : (T) redisTemplate.opsForValue().get(key+":"+k);
    }

    @Override
    public void set(Serializable key, Object val) {
        redisTemplate.opsForValue().set(CONSTANT+":"+key, val);
    }

    @Override
    public <T> T get(Serializable key, Class<T> klass) {
        return key == null ? null : (T) redisTemplate.opsForValue().get(CONSTANT+":"+key);
    }

    @Override
    public String get(Serializable key) {
        return key == null ? null : (String) redisTemplate.opsForValue().get(CONSTANT+":"+key);
    }

    @Override
    public void del(Serializable key) {
        redisTemplate.opsForHash().delete(CONSTANT+":"+key);
    }

    @Override
    public void hdel(Serializable key, Serializable k) {
        redisTemplate.delete(key+":"+k);
    }
}
