
package com.emall.flash.dao.shop;

import com.emall.flash.bean.entity.shop.ActivityUser;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Map;

/**
 * 全局参数dao
 *
 * @author ：enilu
 * @date ：Created in 2019/6/29 12:50
 */
public interface ActivityUserRepository extends BaseRepository<ActivityUser,Long> {

    @Query(nativeQuery = true, value = "SELECT au.id,au.user_id as userId, au.activity_id as activityId, au.count, a.`name`, a.img, a.contacts," +
            "a.phone, a.activity_begin_date as activityBeginDate, a.activity_end_date as activityEndDate, a.`status`, a.number," +
            "a.is_restrictions as isRestrictions, a.address " +
            "FROM t_activity_user as au " +
            "LEFT JOIN t_activity_info as a ON a.id = au.activity_id " +
            "WHERE au.user_id = :userId  AND au.del_flag = 0  AND au.tenant_id = :tenantId " +
            "and if(:status is not null ,a.status = :status,1=1) " ,
            countQuery = "select count(au.id) FROM t_activity_user as au " +
            "LEFT JOIN t_activity_info as a ON a.id = au.activity_id " +
            "WHERE au.user_id = :userId  AND au.del_flag = 0  AND au.tenant_id = :tenantId " +
            "and if(:status is not null ,a.status = :status,1=1)  ")
    Page<Map> selectPage(@Param("userId")Long userId, @Param("tenantId")Long tenantId,
                         @Param("status")Integer status, Pageable pageable);
}
