package com.emall.flash.dao.shop;


import com.emall.flash.bean.entity.shop.Favorite;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Map;


public interface FavoriteRepository extends BaseRepository<Favorite,Long>{

    @Query(nativeQuery = true, value = "select u.id,u.nick_name nickName,u.avatar, u.gender,u.mobile " +
            "from t_shop_favorite sf left join t_shop_user u on sf.id_user=u.id and u.del_flag = 0 " +
            "where sf.del_flag = 0 and if(:goodsId is not null ,sf.id_goods = :goodsId,1=1) " +
            "and if(:name is not null and :name != '',u.nick_name like %:name%,1=1) " +
            "and if(:phone is not null and :phone != '',u.mobile like %:phone%,1=1) ")
    Page<Map> selectPage(@Param("goodsId")Long goodsId, @Param("name")String name, @Param("phone")String phone, Pageable pageable);
}

