package com.emall.flash.dao.shop;


import com.emall.flash.bean.entity.shop.ShopUser;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;


public interface ShopUserRepository extends BaseRepository<ShopUser,Long>{

    ShopUser findByMobile(String mobile);

    ShopUser findByWechatOpenId(String openId);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(nativeQuery = true, value = "update t_shop_user set tenant_id = ?2 where id = ?1 ")
    int updateTenantId(Long userId, Long tenantId);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(nativeQuery = true,value = "update t_shop_user set address = :address,birthday=:birthday,gender=:gender,id_number=:idNumber,jobs=:jobs,marriage= :marriage,nick_name = :nickName where id = :id")
    int updateShopUser(@Param("address") String address, @Param("birthday")Date birthday, @Param("gender") String gender, @Param("idNumber") String idNumber, @Param("jobs") String jobs ,@Param("marriage") Integer marriage,@Param("nickName")  String nickName,@Param("id")  Long id);
}

