
package com.emall.flash.dao.shop;

import com.emall.flash.bean.entity.shop.Tenant;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Map;

/**
 * 全局参数dao
 *
 * @author ：enilu
 * @date ：Created in 2019/6/29 12:50
 */
public interface TenantRepository extends BaseRepository<Tenant,Long> {

    @Query(nativeQuery = true, value = "select t.id,t.name,t.city_id as cityId, t.address,t.manager,t.latitude,t.sort," +
            "t.create_by createBy,t.create_time createTime,t.modify_by modifyBy,t.modify_time modifyTime,u.name as managerName," +
            "c.name as cityName " +
            "from t_shop_tenant t left join t_sys_user u on t.manager=u.id " +
            "left join t_sys_city c on t.city_id=c.id " +
            "where t.del_flag = 0 and if(:cityId is not null ,t.city_id = :cityId,1=1) " +
            "and if(:name is not null and :name != '',t.name like %:name%,1=1) ")
    Page<Map> selectPage(@Param("cityId")Long cityId, @Param("name")String name, Pageable pageable);

    @Query(nativeQuery = true,value = "select u.id ,u.`name`,u.`account`,u.user_type as userType,u.tenant_id as tenantId, " +
            "t.name as tenantName from t_sys_user u " +
            "left join t_shop_tenant t on t.id = u.tenant_id where u.`status` = 1 " +
            "and if(:name is not null and :name != '',u.name like %:name%,1=1) ORDER BY u.create_time")
    Page<Map> getShopRoleUser(@Param("name")String name, Pageable pageable);
}
