package com.emall.flash.dao.system;
import com.emall.flash.bean.entity.system.MemberBenefits;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 封装基础的dao接口
 *
 * @author ：enilu
 * @date ：Created in 2019/6/29 12:50
 */

public interface MemberBenefitsRepository extends BaseRepository<MemberBenefits,Long> {

    // 查询会员级别
    @Query(nativeQuery = true,value = "SELECT count( id ) FROM t_member_benefits where del_flag = 0 and `status` = 1 and tenant_id = :tenantId")
    int queryNumber(@Param("tenantId") Long tenantId);
    // 查询会员等级列表
    @Query(nativeQuery = true,value = "SELECT mb.id AS id,mb.tenant_id as tenant_id,mb.`name` AS `name`, mb.`level` AS `level`, mb.integral AS integral,mb.discount AS discount,mb.`status` AS `status`,mb.create_by AS create_by,mb.create_time AS create_time,mb.modify_by AS modify_by,mb.modify_time AS modify_time,t1.real_file_name AS randUrl,oi2.real_file_name AS memberUrl,mb.del_flag,mb.rank_card,mb.membership_card FROM t_member_benefits mb LEFT JOIN t_sys_file_info t1 ON mb.rank_card = t1.id LEFT JOIN t_sys_file_info oi2 ON mb.membership_card = oi2.id  WHERE mb.del_flag = 0 AND mb.`status` = 1 and mb.tenant_id = :tenantId")
    List<MemberBenefits> queryAllInfo(@Param("tenantId") Long tenantId );
    // 查询最大会员等级数
    @Query(nativeQuery = true,value = "SELECT IFNULL(max(`level`), 0) FROM t_member_benefits where del_flag = 0 and `status` = 1")
    int queryMaxLevel();
}