
package com.emall.flash.dao.system;

import com.emall.flash.bean.entity.system.Model;
import com.emall.flash.dao.BaseRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;


/**
 * 全局参数dao
 *
 * @author ：enilu
 * @date ：Created in 2019/6/29 12:50
 */
public interface ModelRepository extends BaseRepository<Model,Long> {

    @Query(nativeQuery = true,value="SELECT r.id AS id,r.create_by createBy,r.create_time createTime,r.modify_by modifyBy," +
            "r.modify_time modifyTime,r.component,r.icon,r.groups,r.is_default isDefault,r.name,r.remark," +
            "r.url,r.type,r.sort,r.del_flag delFlag, ( CASE WHEN (r1.ID = 0 OR r1.ID IS NULL) THEN 1 ELSE 0 END ) AS checked " +
            "FROM t_sys_model r LEFT JOIN ( SELECT ID FROM t_sys_model WHERE ID IN (?1)) r1 ON r.ID = r1.ID " +
            "where r.del_flag = 0 and r.status = 1 " +
            "ORDER BY r.is_default,r.sort,r.create_time desc")
    List<Map> selectAll(List<Long> list);

    @Query(nativeQuery = true,value="SELECT mt.id ,m.name,m.is_default isDefault,mt.model_id modelId,mt.tenant_id tenantId," +
            "mt.is_open isOpen,mt.sort,m.groups,m.component,m.icon,m.remark, m.url,m.type " +
            "FROM t_sys_model_tenant mt " +
            "LEFT JOIN t_sys_model m ON m.id = mt.model_id " +
            "where m.del_flag = 0 and m.status = 1 and mt.tenant_id = ?2 and if(?1 is not null , mt.is_open= ?1,1=1) " +
            "ORDER BY m.is_default,mt.is_open ,mt.sort")
    List<Map> getModelsById(Integer isOpen, Long tenantId);
}
