package com.emall.flash.service.cms;

import com.emall.flash.bean.entity.cms.Banner;
import com.emall.flash.bean.entity.shop.CategoryBannerRel;
import com.emall.flash.bean.enumeration.cms.BannerTypeEnum;
import com.emall.flash.bean.vo.offcialsite.BannerVo;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.cms.BannerRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.service.shop.CategoryBannerRelService;
import com.emall.flash.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BannerService extends BaseService<Banner, Long, BannerRepository> {
    @Autowired
    private BannerRepository bannerRepository;
    @Autowired
    private CategoryBannerRelService categoryBannerRelService;

    /**
     * 查询首页banner数据
     *
     * @return
     */
    public BannerVo queryIndexBanner() {
        return queryBanner(BannerTypeEnum.INDEX.getValue());
    }

    public BannerVo queryBanner(String type) {
        BannerVo banner = new BannerVo();
        List<SearchFilter> filters = Lists.newArrayList();
        filters.add(SearchFilter.build("delFlag", 0));
        filters.add(SearchFilter.build("type", type));
        List<Banner> bannerList = queryAll(filters);
        banner.setIndex(0);
        banner.setList(bannerList);
        return banner;
    }

    /**
     * 删除banner<br>
     * 1,删除banner
     * 2,删除商品类别与banner关联关系记录
     *
     * @param id 主键
     */
    @Override
    public void deleteById(Long id) {
        //1,
        Banner banner = get(id);
        banner.setDelFlag(1);
        update(banner);
        //2,
        List<CategoryBannerRel> rels = categoryBannerRelService.queryAll(SearchFilter.build("idBanner", id));
        categoryBannerRelService.deleteAll(rels);

    }
}
