package com.emall.flash.service.shop;


import com.emall.flash.bean.entity.shop.ActivityInfo;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.ActivityRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import com.emall.flash.utils.factory.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class ActivityService extends BaseService<ActivityInfo,Long, ActivityRepository> {
    @Autowired
    private ActivityRepository activityRepository;

    /**
     * 校验名称是否重复
     * @param tenant
     * @return
     */
    public Boolean isRepeat(ActivityInfo activityInfo) {
        ActivityInfo old = null;
        if (activityInfo.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("name", activityInfo.getName()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("id", SearchFilter.Operator.NE, activityInfo.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("name", activityInfo.getName()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }

//
//    public Page selectPage(Page page, Long cityId, String name) {
//        Pageable pageable = null;
//        if (page.getSort() != null) {
//            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), page.getSort());
//        } else {
//            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), Sort.Direction.DESC, "id");
//        }
//        org.springframework.data.domain.Page<Map> list = activityRepository.selectPage(cityId,name,pageable);
//        page.setTotal(Integer.valueOf(list.getTotalElements() + ""));
//        page.setRecords(list.getContent());
//        return page;
//    }

}

