package com.emall.flash.service.shop;


import com.emall.flash.bean.entity.shop.ActivityUser;
import com.emall.flash.dao.shop.ActivityUserRepository;
import com.emall.flash.security.JwtUtil;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.factory.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class ActivityUserService extends BaseService<ActivityUser,Long, ActivityUserRepository> {

    @Autowired
    private ActivityUserRepository activityUserRepository;

    public Page selectPage(Page page, Integer status,Long tenantId) {
        Pageable pageable = null;
        if (page.getSort() != null) {
            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), page.getSort());
        } else {
            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), Sort.Direction.DESC, "id");
        }
        Long userId = JwtUtil.getUserId();
        org.springframework.data.domain.Page<Map> list = activityUserRepository.selectPage(userId,tenantId,status,pageable);
        page.setTotal(Integer.valueOf(list.getTotalElements() + ""));
        page.setRecords(list.getContent());
        return page;
    }
}

