package com.emall.flash.service.shop;


import com.emall.flash.bean.constant.cache.Cache;
import com.emall.flash.bean.entity.shop.AttrKey;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.AttrKeyRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AttrKeyService extends BaseService<AttrKey,Long, AttrKeyRepository> {
    private Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private AttrKeyRepository attrKeyRepository;
    @CacheEvict(value = Cache.APPLICATION, key = "#root.targetClass.simpleName+':'+#idCategory")
    public List<AttrKey> queryBy(Long idCategory ){
        List<SearchFilter> filters = Lists.newArrayList();
        filters.add(SearchFilter.build("idCategory",idCategory));
        filters.add(SearchFilter.build("delFlag", SearchFilter.Operator.EQ,0));
        return queryAll(filters);
    }

}

