package com.emall.flash.service.shop;

import com.emall.flash.bean.entity.shop.Columns;
import com.emall.flash.bean.entity.system.User;
import com.emall.flash.bean.vo.node.ColumnsNode;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.ColumnsRepository;
import com.emall.flash.security.JwtUtil;
import com.emall.flash.service.BaseService;
import com.emall.flash.service.system.ManagerService;
import com.emall.flash.utils.Lists;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 文章频道service
 *
 * @author ：enilu
 * @date ：Created in 2019/6/30 13:06
 */
@Service
public class ColumnsService extends BaseService<Columns,Long, ColumnsRepository> {
    @Autowired
    private ManagerService managerService;

    //查询树形结构
    public List<ColumnsNode> queryAllNode(Long tenantId, Sort sort) {
        List<SearchFilter> filters = Lists.newArrayList();
        if (tenantId!=null)
            filters.add(SearchFilter.build("tenantId",tenantId));
        filters.add(SearchFilter.build("delFlag",0));
        List<Columns> list = queryAll(filters,sort);
        List<ColumnsNode> nodes = Lists.newArrayList();
        //顶级节点
        for(Columns columns:list){
            if(columns.getPid()==null) {
                ColumnsNode node = new ColumnsNode();
                BeanUtils.copyProperties(columns, node);
                nodes.add(node);
            }

        }
        //子节点
        for(ColumnsNode node:nodes){
            for(Columns columns:list){
                if(columns.getPid()!=null&&columns.getPid().intValue() == node.getId().intValue()){
                    ColumnsNode child = new ColumnsNode();
                    BeanUtils.copyProperties(columns,child);
                    if(node.getChildren()==null){
                        node.setChildren(Lists.newArrayList());
                    }
                    node.getChildren().add(child);
                }
            }
        }
        return nodes;
    }
}
