package com.emall.flash.service.shop;


import com.emall.flash.bean.entity.shop.Favorite;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.FavoriteRepository;

import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import com.emall.flash.utils.factory.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class FavoriteService extends BaseService<Favorite,Long,FavoriteRepository>  {
    private Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private FavoriteRepository favoriteRepository;

    public Favorite get(Long idUser, Long idGoods) {
        return get(Lists.newArrayList(
                SearchFilter.build("idUser",idUser),
                SearchFilter.build("idGoods",idGoods),
                SearchFilter.build("delFlag", 0)
        ));

    }

    public Page selectPage(Page page, Long goodsId, String name, String phone) {
        Pageable pageable = null;
        if (page.getSort() != null) {
            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), page.getSort());
        } else {
            pageable = PageRequest.of(page.getCurrent() - 1, page.getSize(), Sort.Direction.DESC, "id");
        }
        org.springframework.data.domain.Page<Map> list = favoriteRepository.selectPage(goodsId,name,phone,pageable);
        page.setTotal(Integer.valueOf(list.getTotalElements() + ""));
        page.setRecords(list.getContent());
        return page;
    }
}

