package com.emall.flash.service.shop;


import com.emall.flash.bean.entity.shop.Parking;
import com.emall.flash.bean.entity.shop.ParkingPayment;
import com.emall.flash.bean.entity.shop.Shop;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.ParkingPaymentRepository;
import com.emall.flash.dao.shop.ParkingRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.springframework.stereotype.Service;

@Service
public class ParkingService extends BaseService<Parking,Long, ParkingRepository> {


    /**
     * 校验名称是否重复
     * @param shop
     * @return
     */
    public Boolean isRepeat(Parking parking) {
        Parking old = null;
        if (parking.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("name", parking.getName()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("tenantId", parking.getTenantId()),
                            SearchFilter.build("id", SearchFilter.Operator.NE, parking.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("name", parking.getName()),
                    SearchFilter.build("tenantId", parking.getTenantId()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }

}

