package com.emall.flash.service.shop;


import com.emall.flash.bean.entity.shop.Shop;
import com.emall.flash.bean.entity.shop.ShopUser;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.ShopRepository;
import com.emall.flash.dao.shop.ShopUserRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopService extends BaseService<Shop,Long, ShopRepository> {
    @Autowired
    private ShopRepository shopRepository;
    @Autowired
    private ShopUserRepository shopUserRepository;

    /**
     * 校验名称是否重复
     * @param shop
     * @return
     */
    public Boolean isRepeat(Shop shop) {
        Shop old = null;
        if (shop.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("name", shop.getName()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("id", SearchFilter.Operator.NE, shop.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("name", shop.getName()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }

    public int updateShopUser(ShopUser shopUser){
        int i = shopUserRepository.updateShopUser(shopUser.getAddress(),shopUser.getBirthday(),shopUser.getGender(),shopUser.getIdNumber(),shopUser.getJobs(),shopUser.getMarriage(),shopUser.getNickName(),shopUser.getId());
        return i;
    }


    //查询商家楼层
    public List<String> selectShopFloor(Long tenantId, String name) {
        return shopRepository.selectShopFloor(name,tenantId);
    }
}

