package com.emall.flash.service.shop;

import com.emall.flash.bean.entity.shop.Tenant;
import com.emall.flash.bean.entity.shop.UserCar;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.shop.UserCarRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.springframework.stereotype.Service;

@Service
public class UserCarService extends BaseService<UserCar,Long, UserCarRepository> {

    /**
     * 校验名称是否重复
     * @param tenant
     * @return
     */
    public Boolean isRepeat(UserCar userCar) {
        UserCar old = null;
        if (userCar.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("car", userCar.getCar()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("userId", userCar.getUserId()),
                            SearchFilter.build("id", SearchFilter.Operator.NE, userCar.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("car", userCar.getCar()),
                    SearchFilter.build("userId", userCar.getUserId()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }


}

