package com.emall.flash.service.system;

import com.emall.flash.bean.entity.cms.Article;
import com.emall.flash.bean.entity.system.Complaint;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.system.ComplaintRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.factory.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ComplaintService extends BaseService<Complaint, Long, ComplaintRepository> {

    @Autowired
    private ComplaintRepository complaintRepository;

    public Page<Article> query(int currentPage, int size, Integer type) {
        Page page = new Page(currentPage, size, "id");
        page.addFilter(SearchFilter.build("type", SearchFilter.Operator.EQ, type));
        page.addFilter(SearchFilter.build("delFlag", 0));
        return queryPage(page);

    }

    public List<Complaint> getList() {
        return complaintRepository.findAll();
    }
}
