package com.emall.flash.service.system;
import com.emall.flash.bean.entity.system.MemberBenefits;
import com.emall.flash.bean.entity.system.User;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.system.MemberBenefitsRepository;
import com.emall.flash.security.JwtUtil;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * Created  on 2018/3/25 0025.
 *
 * @author enilu
 */
@Service
public class MemberBenefitsService extends BaseService<MemberBenefits,Long, MemberBenefitsRepository> {

    @Autowired
    private MemberBenefitsRepository benefitsRepository;
    /**
     * 查询会员等级
     * @param
     * @return
     */
    public int queryNumber(Long id){
        int number = benefitsRepository.queryNumber(id);
        System.out.println("number"+number);
        return  number+1;
    }
    /**
     * 查询会员等级列表
     * @param
     * @return
     */
    public List<MemberBenefits> queryMemberBenefits(MemberBenefits memberBenefits,Long tenantId){

        List<MemberBenefits> memberBenefitsList = benefitsRepository.queryAllInfo(tenantId);
        return memberBenefitsList;
    }

    /**
     * 校验名称是否重复
     * @param
     * @return
     */
    public Boolean isRepeat(MemberBenefits memberBenefits) {
        MemberBenefits old = null;
        if (memberBenefits.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("name", memberBenefits.getName()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("id", SearchFilter.Operator.NE, memberBenefits.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("name", memberBenefits.getName()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }
    /**
     * 获取最大的会员等级数
     * @param
     * @return
     */
   public int queryMaxNumber(){
       int maxLevel = benefitsRepository.queryMaxLevel();
       return maxLevel;
   }
}
