package com.emall.flash.service.system;


import com.emall.flash.bean.entity.system.Model;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.dao.system.ModelRepository;
import com.emall.flash.service.BaseService;
import com.emall.flash.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class ModelService extends BaseService<Model,Long, ModelRepository> {
    @Autowired
    private ModelRepository modelRepository;

    /**
     * 校验名称是否重复
     * @param model
     * @return
     */
    public Boolean isRepeat(Model model) {
        Model old = null;
        if (model.getId() != null) {
            old = get(
                    Lists.newArrayList(SearchFilter.build("name", model.getName()),
                            SearchFilter.build("groups", model.getGroups()),
                            SearchFilter.build("delFlag", 0),
                            SearchFilter.build("id", SearchFilter.Operator.NE, model.getId())
                    ));
        } else {
            old = get( Lists.newArrayList(SearchFilter.build("name", model.getName()),
                    SearchFilter.build("groups", model.getGroups()),
                    SearchFilter.build("delFlag", 0)));
        }
        return old != null;
    }

    //查询所有的功能键
    public List<Map> selectAll(List<Long> list) {
        return modelRepository.selectAll(list);
    }

    //查询商圈已经开通的功能键
    public List<Map> getModelsById(Integer isOpen, Long tenantId) {
        return modelRepository.getModelsById(isOpen,tenantId);
    }
}

