package com.emall.flash.service.task.job;

import com.emall.flash.bean.entity.shop.ActivityInfo;
import com.emall.flash.bean.entity.system.Cfg;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.service.shop.ActivityService;
import com.emall.flash.service.system.CfgService;
import com.emall.flash.service.task.JobExecuter;
import org.nutz.json.Json;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * HelloJob
 *
 * @author zt
 * @version 2018/12/30 0030
 */
@Component
public class ActivityStatusJob extends JobExecuter {
    private Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private ActivityService activityService;
    @Override
    public void execute(Map<String, Object> dataMap) throws Exception {
        // 查询DB中的未删除的活动
        List<ActivityInfo> list = activityService.queryAll(SearchFilter.build("delFlag",0));
        for (ActivityInfo activityInfo : list) {
            //如果活动结束时间已过，改状态为已过期
            if (activityInfo.getActivityEndDate().before(new Date())) {
                activityInfo.setStatus(2);
                activityService.update(activityInfo);
            }
        }
    }
}
